# Count pull requests in account/org/project

Endpoint: GET /code/api/v1/pullreq/count
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    Account Identifier for the Entity.

  - `orgIdentifier` (string)
    Organization Identifier for the Entity.

  - `projectIdentifier` (string)
    Project Identifier for the Entity.

  - `state` (array)
    The state of the pull requests to include in the result.
    Enum: "closed", "merged", "open"

  - `source_repo_ref` (string)
    Source repository ref of the pull requests.

  - `source_branch` (string)
    Source branch of the pull requests.

  - `target_branch` (string)
    Target branch of the pull requests.

  - `query` (string)
    The substring by which the pull requests are filtered.

  - `created_by` (array)
    List of principal IDs who created pull requests.

  - `created_lt` (integer)
    The result should contain only entries created before this timestamp (unix millis).

  - `created_gt` (integer)
    The result should contain only entries created after this timestamp (unix millis).

  - `updated_lt` (integer)
    The result should contain only entries updated before this timestamp (unix millis).

  - `include_subspaces` (boolean)
    The result should contain entries from the desired space and of its subspaces.

  - `label_id` (array)
    List of label ids used to filter pull requests.

  - `value_id` (array)
    List of label value ids used to filter pull requests.

  - `author_id` (integer)
    Return only pull requests where this user is the author.

  - `commenter_id` (integer)
    Return only pull requests where this user has created at least one comment.

  - `mentioned_id` (integer)
    Return only pull requests where this user has been mentioned.

  - `reviewer_id` (integer)
    Return only pull requests where this user has been added as a reviewer.

  - `review_decision` (array)
    Require only this review decision of the reviewer. Requires reviewer_id parameter.
    Enum: "approved", "changereq", "pending", "reviewed"

  - `include_rules` (boolean)
    If true, a list of rules that apply to this branch would be included in the response.

## Response 400 fields (application/json):

  - `message` (string)

  - `values` (object)


